O(1,1) =dphi*cos(psi)*cos(theta)+dtheta*sin(psi); 
O(2,1) =-dphi*sin(psi)*cos(theta)+dtheta*cos(psi); 
O(3,1) =dphi*sin(theta)+dpsi; 
V_E(1,1) =cos(psi)*cos(theta)*dx+(sin(psi)*cos(phi)+cos(psi)*sin(theta)*sin(phi))*dy+(sin(psi)*sin(phi)-cos(psi)*sin(theta)*cos(phi))*dz; 
V_E(2,1) =-sin(psi)*cos(theta)*dx+(cos(psi)*cos(phi)-sin(psi)*sin(theta)*sin(phi))*dy+(cos(psi)*sin(phi)+sin(psi)*sin(theta)*cos(phi))*dz; 
V_E(3,1) =sin(theta)*dx-cos(theta)*sin(phi)*dy+cos(theta)*cos(phi)*dz; 
